Contents

# Query Design Bar

When creating or editing an SQL query, use the icons in the Query Design Bar to control the display of data.

Depending on whether you have created the query or view in the Design or SQL tab page, the following icons appear:

## Run Query

Runs the SQL query and displays the query result. The Run Query function does not save the query.

Run Query

## Clear query

Clears the query and removes all tables from the design window.

Clear query

## Switch Design View On/Off

Displays the design view or the SQL view of the query.

Switch Design View On/Off

## Add Tables

Specifies the tables to be inserted into the design window. In the Add Tables dialog, select the tables you need for your current task.

Insert Tables

## Functions

Displays the Function row in the lower part of the design view of the Query Design window.

Functions

## Table Name

Displays the Table row in the lower part of the Query Design.

Table Name

## Alias

Displays the Alias row in the lower part of the Query Design.

Alias

## Distinct Values

Expands the created select statement of the SQL Query in the current column by the parameter DISTINCT. The consequence is that identical values occurring multiple times are listed only once.

Distinct Values

The following icon is on the SQL tab page:

## Run SQL command directly

In Native SQL mode you can enter SQL commands that are not interpreted by LibreOfficeDev, but are instead passed directly to the data source. If you do not display these changes in the design view, you cannot change back to the design view.

Run SQL command directly